Page MenuHomePhabricator

Improvements to resize UI
Closed, ResolvedPublic1 Estimated Story Points

Description

StatusStateCurrent UINew UIBlocking
โš ๏ธAdd a minimal resize limit on the preview pane to 248px
Screen Shot 2022-04-11 at 16.33.30.png (1ร—1 px, 365 KB)
Screen Shot 2022-04-11 at 16.33.22.png (1ร—1 px, 527 KB)
False
โš ๏ธVisual adjustments on handlebars, details below*
Screen Shot 2022-05-05 at 22.07.06.png (1ร—906 px, 232 KB)
Screen Shot 2022-05-05 at 22.08.26.png (1ร—878 px, 327 KB)
False

*Visual adjustments on handlebars, details
both drag elements should be 52px long, keeping the same width as now.
Margin: 2px; Background on the split panes one: OOUI Base 90 #F8F9FA

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptApr 28 2022, 1:55 PM

Change 788713 had a related patch set uploaded (by Samtar; author: Samtar):

[mediawiki/extensions/WikiEditor@master] Realtime preview: set minimal resize limit

https://gerrit.wikimedia.org/r/788713

My current implementation of this introduces the following behaviour:

3ZHdBTb0tO.gif (534ร—1 px, 675 KB)

which @Majavah kindly pointed out is not entirely expected.

Edit: This actually seems to be the behaviour of resizing these panes in general, and was not introduced by my changes

Test wiki created on Patch demo by TheresNoTime using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/030f6e1c8e/w/

Test wiki on Patch demo by TheresNoTime using patch(es) linked to this task was deleted:

https://patchdemo.wmflabs.org/wikis/030f6e1c8e/w/

JMcLeod_WMF set the point value for this task to 1.May 5 2022, 5:51 PM

Change 788713 merged by jenkins-bot:

[mediawiki/extensions/WikiEditor@master] Realtime preview: set minimal resize limit

https://gerrit.wikimedia.org/r/788713

Change 790673 had a related patch set uploaded (by Samtar; author: Samtar):

[mediawiki/extensions/WikiEditor@master] Realtime preview: Visual adjustments on handlebars

https://gerrit.wikimedia.org/r/790673

Change 790673 merged by jenkins-bot:

[mediawiki/extensions/WikiEditor@master] Realtime preview: Visual adjustments on handlebars

https://gerrit.wikimedia.org/r/790673

dom_walden added a subscriber: dom_walden.

This looks fine to me. I tested on different skins and on Firefox, Chromium and Safari.

Test environment: https://en.wikipedia.beta.wmflabs.org WikiEditor 0.5.3 (5f7581d) 06:25, 16 May 2022.

NRodriguez added a subscriber: NRodriguez.

Great work!